php 4 és 5 különbség

Tapasztalataink szerint a szoftvereknél minimális szokott lenni a módosítandó eltérés, ez konkrétan az array_merge() utasítás szokott lenni, ahol a hiba oka, hogy a php4ben még nem volt típus "kényszerítés", amíg a php5ben már van, ennek megoldása a paramétereknél egy array() beszúrása.  Így az 5-ös php alatt minden megfelelően működik.

A php4-el a probléma, hogy egy befagyasztott technológia (majdnem másfél éve jelent meg az utolsó biztonsági javítás is) és az új szervereinkre már nem telepítjük.
Ezért javasolt Önnek is frissítenie weboldalát, hogy kompatibilis legyen az 5-össel, amennyiben még nem az.

Hasznosnak találta ezt a választ?

 Kinyomtatja ezt a cikket

Ezenkívül olvassa el

Milyen PHP függvények nem használhatók?

2016 augusztusa óta bekerült szervereinken nincsenek jelentősebb korlátozások. Amennyiben már...

display_errors = Off, display errors be és kikapcsolása

A display_errors ki és bekapcsolásához az alábbit kell tennie: 1.) Hozzon létre egy php.ini...

Futtatható-e, telepíthető-e Önöknél CMS (pl. PhpNuke, Joomla!) rendszer?

Igen, futtatható. Az, hogy Ön futtathatja-e tulajdonképpen csak annyitól függ, hogy a csomagjában...

Internal Server Error

Amennyiben a frissen feltöltött PHP vagy CGI oldal helyett az "Internal Server Error" hibaüzenet...